## NMSettingBridgePort NMSettingBridgePort |

## Functions

NMSetting * | nm_setting_bridge_port_new ()
guint16 | nm_setting_bridge_port_get_priority ()
guint16 | nm_setting_bridge_port_get_path_cost ()
gboolean | nm_setting_bridge_port_get_hairpin_mode ()
void | nm_setting_bridge_port_add_vlan ()
guint | nm_setting_bridge_port_get_num_vlans ()
NMBridgeVlan * | nm_setting_bridge_port_get_vlan ()
void | nm_setting_bridge_port_remove_vlan ()
gboolean | nm_setting_bridge_port_remove_vlan_by_vid ()
void | nm_setting_bridge_port_clear_vlans ()

## Types and Values

#define | NM_SETTING_BRIDGE_PORT_SETTING_NAME
#define | NM_SETTING_BRIDGE_PORT_PRIORITY
#define | NM_SETTING_BRIDGE_PORT_PATH_COST
#define | NM_SETTING_BRIDGE_PORT_HAIRPIN_MODE
#define | NM_SETTING_BRIDGE_PORT_VLANS

## Description

## Functions

### nm_setting_bridge_port_new ()

    NMSetting *
    nm_setting_bridge_port_new (void);

### nm_setting_bridge_port_get_priority ()

    guint16
    nm_setting_bridge_port_get_priority (NMSettingBridgePort *setting);

### nm_setting_bridge_port_get_path_cost ()

    guint16
    nm_setting_bridge_port_get_path_cost (NMSettingBridgePort *setting);

### nm_setting_bridge_port_get_hairpin_mode ()

    gboolean
    nm_setting_bridge_port_get_hairpin_mode
                                   (NMSettingBridgePort *setting);

### nm_setting_bridge_port_add_vlan ()

    void
    nm_setting_bridge_port_add_vlan (NMSettingBridgePort *setting,
                                     NMBridgeVlan *vlan);

### nm_setting_bridge_port_get_num_vlans ()

    guint
    nm_setting_bridge_port_get_num_vlans (NMSettingBridgePort *setting);

### nm_setting_bridge_port_get_vlan ()

    NMBridgeVlan *
    nm_setting_bridge_port_get_vlan (NMSettingBridgePort *setting,
                                     guint idx);

### nm_setting_bridge_port_remove_vlan ()

    void
    nm_setting_bridge_port_remove_vlan (NMSettingBridgePort *setting,
                                        guint idx);

### nm_setting_bridge_port_remove_vlan_by_vid ()

    gboolean
    nm_setting_bridge_port_remove_vlan_by_vid
                                   (NMSettingBridgePort *setting,
                                    guint16 vid_start,
                                    guint16 vid_end);

### nm_setting_bridge_port_clear_vlans ()

    void
    nm_setting_bridge_port_clear_vlans (NMSettingBridgePort *setting);

## Types and Values

### NM_SETTING_BRIDGE_PORT_SETTING_NAME

    #define NM_SETTING_BRIDGE_PORT_SETTING_NAME "bridge-port"

### NM_SETTING_BRIDGE_PORT_PRIORITY

    #define NM_SETTING_BRIDGE_PORT_PRIORITY     "priority"

### NM_SETTING_BRIDGE_PORT_PATH_COST

    #define NM_SETTING_BRIDGE_PORT_PATH_COST    "path-cost"

### NM_SETTING_BRIDGE_PORT_HAIRPIN_MODE

    #define NM_SETTING_BRIDGE_PORT_HAIRPIN_MODE "hairpin-mode"

### NM_SETTING_BRIDGE_PORT_VLANS

    #define NM_SETTING_BRIDGE_PORT_VLANS        "vlans"